/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022IV01.java

*

* Created on 01/06/09 09:46:48

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022IS01V01 extends Q02bTablaBD implements Q02bITablaBDQ022IS01V01 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022IT00_ID_INF */

    public final static int COLUMN_Q022IT00_ID_INF = 1;

    /** Constante para la propiedad Q022IT00_ID_INF */

    public final static String NOMCOLUMN_Q022IT00_ID_INF = "Q022IT00_ID_INF";

    /** Constante para la propiedad Q022IT00_ID_INF */

    public final static int TAM_MAXIMO_Q022IT00_ID_INF = 8;

    /** Constante para la propiedad Q022IT00_ID_OFI */

    public final static int COLUMN_Q022IT00_ID_OFI = 2;

    /** Constante para la propiedad Q022IT00_ID_OFI */

    public final static String NOMCOLUMN_Q022IT00_ID_OFI = "Q022IT00_ID_OFI";

    /** Constante para la propiedad Q022IT00_ID_OFI */

    public final static int TAM_MAXIMO_Q022IT00_ID_OFI = 8;

    /** Constante para la propiedad Q022IT00_NOMB */

    public final static int COLUMN_Q022IT00_NOMB = 3;

    /** Constante para la propiedad Q022IT00_NOMB */

    public final static String NOMCOLUMN_Q022IT00_NOMB = "Q022IT00_NOMB";

    /** Constante para la propiedad Q022IT00_NOMB */

    public final static int TAM_MAXIMO_Q022IT00_NOMB = 50;

    /** Constante para la propiedad Q022IT00_APE1 */

    public final static int COLUMN_Q022IT00_APE1 = 4;

    /** Constante para la propiedad Q022IT00_APE1 */

    public final static String NOMCOLUMN_Q022IT00_APE1 = "Q022IT00_APE1";

    /** Constante para la propiedad Q022IT00_APE1 */

    public final static int TAM_MAXIMO_Q022IT00_APE1 = 30;

    /** Constante para la propiedad Q022IT00_APE2 */

    public final static int COLUMN_Q022IT00_APE2 = 5;

    /** Constante para la propiedad Q022IT00_APE2 */

    public final static String NOMCOLUMN_Q022IT00_APE2 = "Q022IT00_APE2";

    /** Constante para la propiedad Q022IT00_APE2 */

    public final static int TAM_MAXIMO_Q022IT00_APE2 = 30;

    /** Constante para la propiedad Q022IT00_CARGO */

    public final static int COLUMN_Q022IT00_CARGO = 6;

    /** Constante para la propiedad Q022IT00_CARGO */

    public final static String NOMCOLUMN_Q022IT00_CARGO = "Q022IT00_CARGO";

    /** Constante para la propiedad Q022IT00_CARGO */

    public final static int TAM_MAXIMO_Q022IT00_CARGO = 50;

    /** Constante para la propiedad Q022IT00_DEPA */

    public final static int COLUMN_Q022IT00_DEPA = 7;

    /** Constante para la propiedad Q022IT00_DEPA */

    public final static String NOMCOLUMN_Q022IT00_DEPA = "Q022IT00_DEPA";

    /** Constante para la propiedad Q022IT00_DEPA */

    public final static int TAM_MAXIMO_Q022IT00_DEPA = 50;

    /** Constante para la propiedad Q022IT00_EMAIL */

    public final static int COLUMN_Q022IT00_EMAIL = 8;

    /** Constante para la propiedad Q022IT00_EMAIL */

    public final static String NOMCOLUMN_Q022IT00_EMAIL = "Q022IT00_EMAIL";

    /** Constante para la propiedad Q022IT00_EMAIL */

    public final static int TAM_MAXIMO_Q022IT00_EMAIL = 80;

    /** Constante para la propiedad Q022IT00_TELF1 */

    public final static int COLUMN_Q022IT00_TELF1 = 9;

    /** Constante para la propiedad Q022IT00_TELF1 */

    public final static String NOMCOLUMN_Q022IT00_TELF1 = "Q022IT00_TELF1";

    /** Constante para la propiedad Q022IT00_TELF1 */

    public final static int TAM_MAXIMO_Q022IT00_TELF1 = 9;

    /** Constante para la propiedad Q022IT00_TELF2 */

    public final static int COLUMN_Q022IT00_TELF2 = 10;

    /** Constante para la propiedad Q022IT00_TELF2 */

    public final static String NOMCOLUMN_Q022IT00_TELF2 = "Q022IT00_TELF2";

    /** Constante para la propiedad Q022IT00_TELF2 */

    public final static int TAM_MAXIMO_Q022IT00_TELF2 = 9;

    /** Constante para la propiedad Q022IT00_FAX */

    public final static int COLUMN_Q022IT00_FAX = 11;

    /** Constante para la propiedad Q022IT00_FAX */

    public final static String NOMCOLUMN_Q022IT00_FAX = "Q022IT00_FAX";

    /** Constante para la propiedad Q022IT00_FAX */

    public final static int TAM_MAXIMO_Q022IT00_FAX = 9;

    /** Constante para la propiedad Q022IT00_FELEC */

    public final static int COLUMN_Q022IT00_FELEC = 12;

    /** Constante para la propiedad Q022IT00_FELEC */

    public final static String NOMCOLUMN_Q022IT00_FELEC = "Q022IT00_FELEC";

    /** Constante para la propiedad Q022IT00_FELEC */

    public final static int TAM_MAXIMO_Q022IT00_FELEC = 1;

    /** Constante para la propiedad Q022IT00_PRINCPL */

    public final static int COLUMN_Q022IT00_PRINCPL = 13;

    /** Constante para la propiedad Q022IT00_PRINCPL */

    public final static String NOMCOLUMN_Q022IT00_PRINCPL = "Q022IT00_PRINCPL";

    /** Constante para la propiedad Q022IT00_PRINCPL */

    public final static int TAM_MAXIMO_Q022IT00_PRINCPL = 1;

    /** Constante para la propiedad Q022HT00_PROV */

    public final static int COLUMN_Q022HT00_PROV = 14;

    /** Constante para la propiedad Q022HT00_PROV */

    public final static String NOMCOLUMN_Q022HT00_PROV = "Q022HT00_PROV";

    /** Constante para la propiedad Q022HT00_PROV */

    public final static int TAM_MAXIMO_Q022HT00_PROV = 2;

    /** Constante para la propiedad Q022HT00_MUNI */

    public final static int COLUMN_Q022HT00_MUNI = 15;

    /** Constante para la propiedad Q022HT00_MUNI */

    public final static String NOMCOLUMN_Q022HT00_MUNI = "Q022HT00_MUNI";

    /** Constante para la propiedad Q022HT00_MUNI */

    public final static int TAM_MAXIMO_Q022HT00_MUNI = 3;

    /** Constante para la propiedad Q022HT00_DESC */

    public final static int COLUMN_Q022HT00_DESC = 16;

    /** Constante para la propiedad Q022HT00_DESC */

    public final static String NOMCOLUMN_Q022HT00_DESC = "Q022HT00_DESC";

    /** Constante para la propiedad Q022HT00_DESC */

    public final static int TAM_MAXIMO_Q022HT00_DESC = 50;

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static int COLUMN_Q022HT00_DESC_EUS = 17;

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static String NOMCOLUMN_Q022HT00_DESC_EUS = "Q022HT00_DESC_EUS";

    /** Constante para la propiedad Q022HT00_DESC_EUS */

    public final static int TAM_MAXIMO_Q022HT00_DESC_EUS = 50;

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static int COLUMN_NORA_T17_PROVINCIA_DS = 18;

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static String NOMCOLUMN_NORA_T17_PROVINCIA_DS = "NORA_T17_PROVINCIA_DS";

    /** Constante para la propiedad NORA_T17_PROVINCIA_DS */

    public final static int TAM_MAXIMO_NORA_T17_PROVINCIA_DS = 50;

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static int COLUMN_NORA_T17_MUNICIPIO_DS = 19;

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static String NOMCOLUMN_NORA_T17_MUNICIPIO_DS = "NORA_T17_MUNICIPIO_DS";

    /** Constante para la propiedad NORA_T17_MUNICIPIO_DS */

    public final static int TAM_MAXIMO_NORA_T17_MUNICIPIO_DS = 50;

    /** Constante para la propiedad Q022IT00_DNI */

    public final static int COLUMN_Q022IT00_DNI = 20;

    /** Constante para la propiedad Q022IT00_DNI */

    public final static String NOMCOLUMN_Q022IT00_DNI = "Q022IT00_DNI";

    /** Constante para la propiedad Q022IT00_DNI */

    public final static int TAM_MAXIMO_Q022IT00_DNI = 9;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 20;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022IT00_ID_INF_WHERE */

    protected Integer Q022IT00_ID_INF_WHERE = null;

    protected boolean Q022IT00_ID_INF_MODIF = false;

    /** Holds value of property Q022IT00_ID_OFI_WHERE */

    protected Integer Q022IT00_ID_OFI_WHERE = null;

    protected boolean Q022IT00_ID_OFI_MODIF = false;

    /** Holds value of property Q022IT00_NOMB_WHERE */

    protected String Q022IT00_NOMB_WHERE = null;

    protected boolean Q022IT00_NOMB_MODIF = false;

    /** Holds value of property Q022IT00_APE1_WHERE */

    protected String Q022IT00_APE1_WHERE = null;

    protected boolean Q022IT00_APE1_MODIF = false;

    /** Holds value of property Q022IT00_APE2_WHERE */

    protected String Q022IT00_APE2_WHERE = null;

    protected boolean Q022IT00_APE2_MODIF = false;

    /** Holds value of property Q022IT00_CARGO_WHERE */

    protected String Q022IT00_CARGO_WHERE = null;

    protected boolean Q022IT00_CARGO_MODIF = false;

    /** Holds value of property Q022IT00_DEPA_WHERE */

    protected String Q022IT00_DEPA_WHERE = null;

    protected boolean Q022IT00_DEPA_MODIF = false;

    /** Holds value of property Q022IT00_EMAIL_WHERE */

    protected String Q022IT00_EMAIL_WHERE = null;

    protected boolean Q022IT00_EMAIL_MODIF = false;

    /** Holds value of property Q022IT00_TELF1_WHERE */

    protected Integer Q022IT00_TELF1_WHERE = null;

    protected boolean Q022IT00_TELF1_MODIF = false;

    /** Holds value of property Q022IT00_TELF2_WHERE */

    protected Integer Q022IT00_TELF2_WHERE = null;

    protected boolean Q022IT00_TELF2_MODIF = false;

    /** Holds value of property Q022IT00_FAX_WHERE */

    protected Integer Q022IT00_FAX_WHERE = null;

    protected boolean Q022IT00_FAX_MODIF = false;

    /** Holds value of property Q022IT00_FELEC_WHERE */

    protected Integer Q022IT00_FELEC_WHERE = null;

    protected boolean Q022IT00_FELEC_MODIF = false;

    /** Holds value of property Q022IT00_PRINCPL_WHERE */

    protected Integer Q022IT00_PRINCPL_WHERE = null;

    protected boolean Q022IT00_PRINCPL_MODIF = false;

    /** Holds value of property Q022HT00_PROV_WHERE */

    protected String Q022HT00_PROV_WHERE = null;

    protected boolean Q022HT00_PROV_MODIF = false;

    /** Holds value of property Q022HT00_MUNI_WHERE */

    protected String Q022HT00_MUNI_WHERE = null;

    protected boolean Q022HT00_MUNI_MODIF = false;

    /** Holds value of property Q022HT00_DESC_WHERE */

    protected String Q022HT00_DESC_WHERE = null;

    protected boolean Q022HT00_DESC_MODIF = false;

    /** Holds value of property Q022HT00_DESC_EUS_WHERE */

    protected String Q022HT00_DESC_EUS_WHERE = null;

    protected boolean Q022HT00_DESC_EUS_MODIF = false;

    /** Holds value of property NORA_T17_PROVINCIA_DS_WHERE */

    protected String NORA_T17_PROVINCIA_DS_WHERE = null;

    protected boolean NORA_T17_PROVINCIA_DS_MODIF = false;

    /** Holds value of property NORA_T17_MUNICIPIO_DS_WHERE */

    protected String NORA_T17_MUNICIPIO_DS_WHERE = null;

    protected boolean NORA_T17_MUNICIPIO_DS_MODIF = false;

    /** Holds value of property Q022IT00_DNI_WHERE */

    protected String Q022IT00_DNI_WHERE = null;

    protected boolean Q022IT00_DNI_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "01/06/09 09:46:48";

    protected String columnas[] =  {"Q022IT00_ID_INF", "Q022IT00_ID_OFI", "Q022IT00_NOMB", "Q022IT00_APE1", "Q022IT00_APE2", "Q022IT00_CARGO", "Q022IT00_DEPA", "Q022IT00_EMAIL", "Q022IT00_TELF1", "Q022IT00_TELF2", "Q022IT00_FAX", "Q022IT00_FELEC", "Q022IT00_PRINCPL", "Q022HT00_PROV", "Q022HT00_MUNI", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "Q022IT00_DNI"};

    protected int tipos[] =  {3, 3, 12, 12, 12, 12, 12, 12, 3, 3, 3, 3, 3, 12, 12, 12, 12, 12, 12, 12};

    protected int longitudes[] =  {8, 8, 50, 30, 30, 50, 50, 80, 9, 9, 9, 1, 1, 2, 3, 50, 50, 50, 50, 9};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022IT00_ID_INF", "Q022IT00_ID_OFI", "Q022IT00_NOMB", "Q022IT00_APE1", "Q022IT00_APE2", "Q022IT00_CARGO", "Q022IT00_DEPA", "Q022IT00_EMAIL", "Q022IT00_TELF1", "Q022IT00_TELF2", "Q022IT00_FAX", "Q022IT00_FELEC", "Q022IT00_PRINCPL", "Q022HT00_PROV", "Q022HT00_MUNI", "Q022HT00_DESC", "Q022HT00_DESC_EUS", "NORA_T17_PROVINCIA_DS", "NORA_T17_MUNICIPIO_DS", "Q022IT00_DNI"};

    protected boolean nullables[] =  {false,false,false,false,false,true,true,true,true,true,true,true,true,false,false,true,true,true,true,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022IS01V01";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022IS01V01 iTablaBDQ022IS01V01 = null;

    /** Creates new Q022IV01 */

    public Q02bTablaBDQ022IS01V01() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022IS01V01 */

    public Q02bTablaBDQ022IS01V01(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022IS01V01.setQ022IT00_ID_INF_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_ID_INF_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_ID_OFI_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_ID_OFI_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_NOMB_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_NOMB_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_APE1_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_APE1_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_APE2_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_APE2_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_CARGO_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_CARGO_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_DEPA_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_DEPA_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_EMAIL_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_EMAIL_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_TELF1_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_TELF1_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_TELF2_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_TELF2_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_FAX_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_FAX_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_FELEC_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_FELEC_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_PRINCPL_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_PRINCPL_MODIF(false);

        iTablaBDQ022IS01V01.setQ022HT00_PROV_WHERE(null);

        iTablaBDQ022IS01V01.setQ022HT00_PROV_MODIF(false);

        iTablaBDQ022IS01V01.setQ022HT00_MUNI_WHERE(null);

        iTablaBDQ022IS01V01.setQ022HT00_MUNI_MODIF(false);

        iTablaBDQ022IS01V01.setQ022HT00_DESC_WHERE(null);

        iTablaBDQ022IS01V01.setQ022HT00_DESC_MODIF(false);

        iTablaBDQ022IS01V01.setQ022HT00_DESC_EUS_WHERE(null);

        iTablaBDQ022IS01V01.setQ022HT00_DESC_EUS_MODIF(false);

        iTablaBDQ022IS01V01.setNORA_T17_PROVINCIA_DS_WHERE(null);

        iTablaBDQ022IS01V01.setNORA_T17_PROVINCIA_DS_MODIF(false);

        iTablaBDQ022IS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(null);

        iTablaBDQ022IS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(false);

        iTablaBDQ022IS01V01.setQ022IT00_DNI_WHERE(null);

        iTablaBDQ022IS01V01.setQ022IT00_DNI_MODIF(false);

        iTablaBDQ022IS01V01.setNumMaxRegistros(0);

        iTablaBDQ022IS01V01.setNumInicio(0);

        iTablaBDQ022IS01V01.setNumFinal(0);

        iTablaBDQ022IS01V01.setOrderBy(null);

        iTablaBDQ022IS01V01.setAditionalWhere(null);

        iTablaBDQ022IS01V01.setInitialWhere(null);

        iTablaBDQ022IS01V01.setFixedWhere(null);

        iTablaBDQ022IS01V01.setDistinct(null);

        iTablaBDQ022IS01V01.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022IS01V01";

        iTablaBDQ022IS01V01.setUncommittedRead(false);

        iTablaBDQ022IS01V01.setForUpdate(false);

        iTablaBDQ022IS01V01.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022IS01V01.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022IS01V01.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022IS01V01.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022IS01V01.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022IS01V01.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022IS01V01.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022IS01V01.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022IS01V01.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022IS01V01.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022IS01V01.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022IS01V01.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022IS01V01.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022IS01V01.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022IS01V01.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022IS01V01.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022IS01V01.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022IS01V01.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022IS01V01.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022IS01V01.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022IS01V01.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022IS01V01.selectMax();

    }













    public void setQ022IT00_ID_INF_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_ID_INF_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_ID_INF_WHERE(valor);

        }

    }



    public void setQ022IT00_ID_INF_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_ID_INF_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_ID_INF_WHERE(valor);

        }

    }



    public void setQ022IT00_ID_INF_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_ID_INF_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_ID_INF_MODIF(valor);

        }

    }



    public void setQ022IT00_ID_OFI_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_ID_OFI_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022IT00_ID_OFI_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_ID_OFI_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_ID_OFI_WHERE(valor);

        }

    }



    public void setQ022IT00_ID_OFI_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_ID_OFI_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_ID_OFI_MODIF(valor);

        }

    }



    public void setQ022IT00_NOMB_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_NOMB_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_NOMB_WHERE(valor);

        }

    }



    public void setQ022IT00_NOMB_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_NOMB_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_NOMB_MODIF(valor);

        }

    }



    public void setQ022IT00_APE1_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_APE1_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_APE1_WHERE(valor);

        }

    }



    public void setQ022IT00_APE1_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_APE1_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_APE1_MODIF(valor);

        }

    }



    public void setQ022IT00_APE2_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_APE2_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_APE2_WHERE(valor);

        }

    }



    public void setQ022IT00_APE2_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_APE2_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_APE2_MODIF(valor);

        }

    }



    public void setQ022IT00_CARGO_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_CARGO_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_CARGO_WHERE(valor);

        }

    }



    public void setQ022IT00_CARGO_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_CARGO_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_CARGO_MODIF(valor);

        }

    }



    public void setQ022IT00_DEPA_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_DEPA_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_DEPA_WHERE(valor);

        }

    }



    public void setQ022IT00_DEPA_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_DEPA_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_DEPA_MODIF(valor);

        }

    }



    public void setQ022IT00_EMAIL_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_EMAIL_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_EMAIL_WHERE(valor);

        }

    }



    public void setQ022IT00_EMAIL_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_EMAIL_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_EMAIL_MODIF(valor);

        }

    }



    public void setQ022IT00_TELF1_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_TELF1_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_TELF1_WHERE(valor);

        }

    }



    public void setQ022IT00_TELF1_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_TELF1_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_TELF1_WHERE(valor);

        }

    }



    public void setQ022IT00_TELF1_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_TELF1_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_TELF1_MODIF(valor);

        }

    }



    public void setQ022IT00_TELF2_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_TELF2_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_TELF2_WHERE(valor);

        }

    }



    public void setQ022IT00_TELF2_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_TELF2_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_TELF2_WHERE(valor);

        }

    }



    public void setQ022IT00_TELF2_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_TELF2_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_TELF2_MODIF(valor);

        }

    }



    public void setQ022IT00_FAX_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_FAX_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_FAX_WHERE(valor);

        }

    }



    public void setQ022IT00_FAX_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_FAX_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_FAX_WHERE(valor);

        }

    }



    public void setQ022IT00_FAX_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_FAX_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_FAX_MODIF(valor);

        }

    }



    public void setQ022IT00_FELEC_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_FELEC_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_FELEC_WHERE(valor);

        }

    }



    public void setQ022IT00_FELEC_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_FELEC_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_FELEC_WHERE(valor);

        }

    }



    public void setQ022IT00_FELEC_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_FELEC_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_FELEC_MODIF(valor);

        }

    }



    public void setQ022IT00_PRINCPL_WHERE(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_PRINCPL_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_PRINCPL_WHERE(valor);

        }

    }



    public void setQ022IT00_PRINCPL_WHERE(Integer valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_PRINCPL_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_PRINCPL_WHERE(valor);

        }

    }



    public void setQ022IT00_PRINCPL_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_PRINCPL_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_PRINCPL_MODIF(valor);

        }

    }



    public void setQ022HT00_PROV_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_PROV_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_PROV_WHERE(valor);

        }

    }



    public void setQ022HT00_PROV_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_PROV_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_PROV_MODIF(valor);

        }

    }



    public void setQ022HT00_MUNI_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_MUNI_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_MUNI_WHERE(valor);

        }

    }



    public void setQ022HT00_MUNI_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_MUNI_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_MUNI_MODIF(valor);

        }

    }



    public void setQ022HT00_DESC_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_DESC_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_DESC_WHERE(valor);

        }

    }



    public void setQ022HT00_DESC_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_DESC_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_DESC_MODIF(valor);

        }

    }



    public void setQ022HT00_DESC_EUS_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_DESC_EUS_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_DESC_EUS_WHERE(valor);

        }

    }



    public void setQ022HT00_DESC_EUS_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022HT00_DESC_EUS_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022HT00_DESC_EUS_MODIF(valor);

        }

    }



    public void setNORA_T17_PROVINCIA_DS_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.NORA_T17_PROVINCIA_DS_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setNORA_T17_PROVINCIA_DS_WHERE(valor);

        }

    }



    public void setNORA_T17_PROVINCIA_DS_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.NORA_T17_PROVINCIA_DS_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setNORA_T17_PROVINCIA_DS_MODIF(valor);

        }

    }



    public void setNORA_T17_MUNICIPIO_DS_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.NORA_T17_MUNICIPIO_DS_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setNORA_T17_MUNICIPIO_DS_WHERE(valor);

        }

    }



    public void setNORA_T17_MUNICIPIO_DS_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.NORA_T17_MUNICIPIO_DS_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setNORA_T17_MUNICIPIO_DS_MODIF(valor);

        }

    }



    public void setQ022IT00_DNI_WHERE(String valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_DNI_WHERE=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_DNI_WHERE(valor);

        }

    }



    public void setQ022IT00_DNI_MODIF(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.Q022IT00_DNI_MODIF=valor;

        }else{

           iTablaBDQ022IS01V01.setQ022IT00_DNI_MODIF(valor);

        }

    }



    /** Getter for property Q022IT00_ID_INF_WHERE.

    * @return Value of property Q022IT00_ID_INF_WHERE.

    */

    public Integer getQ022IT00_ID_INF_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_ID_INF_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_ID_INF_WHERE();

        }

    }



    /** Getter for property Q022IT00_ID_OFI_WHERE.

    * @return Value of property Q022IT00_ID_OFI_WHERE.

    */

    public Integer getQ022IT00_ID_OFI_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_ID_OFI_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_ID_OFI_WHERE();

        }

    }



    /** Getter for property Q022IT00_NOMB_WHERE.

    * @return Value of property Q022IT00_NOMB_WHERE.

    */

    public String getQ022IT00_NOMB_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_NOMB_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_NOMB_WHERE();

        }

    }



    /** Getter for property Q022IT00_APE1_WHERE.

    * @return Value of property Q022IT00_APE1_WHERE.

    */

    public String getQ022IT00_APE1_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_APE1_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_APE1_WHERE();

        }

    }



    /** Getter for property Q022IT00_APE2_WHERE.

    * @return Value of property Q022IT00_APE2_WHERE.

    */

    public String getQ022IT00_APE2_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_APE2_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_APE2_WHERE();

        }

    }



    /** Getter for property Q022IT00_CARGO_WHERE.

    * @return Value of property Q022IT00_CARGO_WHERE.

    */

    public String getQ022IT00_CARGO_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_CARGO_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_CARGO_WHERE();

        }

    }



    /** Getter for property Q022IT00_DEPA_WHERE.

    * @return Value of property Q022IT00_DEPA_WHERE.

    */

    public String getQ022IT00_DEPA_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_DEPA_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_DEPA_WHERE();

        }

    }



    /** Getter for property Q022IT00_EMAIL_WHERE.

    * @return Value of property Q022IT00_EMAIL_WHERE.

    */

    public String getQ022IT00_EMAIL_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_EMAIL_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_EMAIL_WHERE();

        }

    }



    /** Getter for property Q022IT00_TELF1_WHERE.

    * @return Value of property Q022IT00_TELF1_WHERE.

    */

    public Integer getQ022IT00_TELF1_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_TELF1_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_TELF1_WHERE();

        }

    }



    /** Getter for property Q022IT00_TELF2_WHERE.

    * @return Value of property Q022IT00_TELF2_WHERE.

    */

    public Integer getQ022IT00_TELF2_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_TELF2_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_TELF2_WHERE();

        }

    }



    /** Getter for property Q022IT00_FAX_WHERE.

    * @return Value of property Q022IT00_FAX_WHERE.

    */

    public Integer getQ022IT00_FAX_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_FAX_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_FAX_WHERE();

        }

    }



    /** Getter for property Q022IT00_FELEC_WHERE.

    * @return Value of property Q022IT00_FELEC_WHERE.

    */

    public Integer getQ022IT00_FELEC_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_FELEC_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_FELEC_WHERE();

        }

    }



    /** Getter for property Q022IT00_PRINCPL_WHERE.

    * @return Value of property Q022IT00_PRINCPL_WHERE.

    */

    public Integer getQ022IT00_PRINCPL_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_PRINCPL_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_PRINCPL_WHERE();

        }

    }



    /** Getter for property Q022HT00_PROV_WHERE.

    * @return Value of property Q022HT00_PROV_WHERE.

    */

    public String getQ022HT00_PROV_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022HT00_PROV_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022HT00_PROV_WHERE();

        }

    }



    /** Getter for property Q022HT00_MUNI_WHERE.

    * @return Value of property Q022HT00_MUNI_WHERE.

    */

    public String getQ022HT00_MUNI_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022HT00_MUNI_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022HT00_MUNI_WHERE();

        }

    }



    /** Getter for property Q022HT00_DESC_WHERE.

    * @return Value of property Q022HT00_DESC_WHERE.

    */

    public String getQ022HT00_DESC_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022HT00_DESC_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022HT00_DESC_WHERE();

        }

    }



    /** Getter for property Q022HT00_DESC_EUS_WHERE.

    * @return Value of property Q022HT00_DESC_EUS_WHERE.

    */

    public String getQ022HT00_DESC_EUS_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022HT00_DESC_EUS_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022HT00_DESC_EUS_WHERE();

        }

    }



    /** Getter for property NORA_T17_PROVINCIA_DS_WHERE.

    * @return Value of property NORA_T17_PROVINCIA_DS_WHERE.

    */

    public String getNORA_T17_PROVINCIA_DS_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.NORA_T17_PROVINCIA_DS_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getNORA_T17_PROVINCIA_DS_WHERE();

        }

    }



    /** Getter for property NORA_T17_MUNICIPIO_DS_WHERE.

    * @return Value of property NORA_T17_MUNICIPIO_DS_WHERE.

    */

    public String getNORA_T17_MUNICIPIO_DS_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.NORA_T17_MUNICIPIO_DS_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getNORA_T17_MUNICIPIO_DS_WHERE();

        }

    }



    /** Getter for property Q022IT00_DNI_WHERE.

    * @return Value of property Q022IT00_DNI_WHERE.

    */

    public String getQ022IT00_DNI_WHERE() {

        if (iTablaBDQ022IS01V01==null){

            return this.Q022IT00_DNI_WHERE;

        }else{

           return iTablaBDQ022IS01V01.getQ022IT00_DNI_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022IS01V01.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022IS01V01==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022IS01V01.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022IS01V01==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022IS01V01.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022IS01V01==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022IS01V01.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022IS01V01.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022IS01V01==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022IS01V01.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022IS01V01.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022IS01V01==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022IS01V01.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022IS01V01==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022IS01V01.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022IS01V01==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022IS01V01.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022IS01V01==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022IS01V01.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022IS01V01==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022IS01V01.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022IS01V01==null){

           return this.connection;

        }else{

           return iTablaBDQ022IS01V01.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022IS01V01.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022IS01V01==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022IS01V01.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022IS01V01.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022IS01V01==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022IS01V01.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022IS01V01==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022IS01V01.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022IS01V01.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022IS01V01==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022IS01V01.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022IS01V01.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022IS01V01.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022IS01V01==null){

           return this.distinct;

        }else{

           return iTablaBDQ022IS01V01.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022IS01V01==null){

           this.max = valor;

        }else{

           iTablaBDQ022IS01V01.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022IS01V01==null){

           return this.max;

        }else{

           return iTablaBDQ022IS01V01.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022IS01V01==null){

           super.freeResources();

        }else{

           iTablaBDQ022IS01V01.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022IS01V01==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022IS01V01.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

